Bug 1473961 - [abrt] khard: resolve(): __init__.py:857:resolve:pkg_resources.DistributionNotFound: The 'vobject==0.9.2' distribution was not found and is required by khard
[abrt] khard: resolve(): __init__.py:857:resolve:pkg_resources.DistributionNo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: khard (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sebastian Dyroff
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d5449e58ea7d54be81261ff458e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 15:12 EDT by George Nikandrov
Modified: 2017-10-25 19:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: khard-0.11.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-25 19:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.03 KB, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: cgroup (321 bytes, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: environ (2.69 KB, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: mountinfo (3.86 KB, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details
File: open_fds (246 bytes, text/plain)
2017-07-22 15:13 EDT, George Nikandrov
no flags Details

  None (edit)
Description George Nikandrov 2017-07-22 15:12:53 EDT
Description of problem:
Fedora 26, problem occurs during the first run.
Happens in fresh installation of F26 too.

Version-Release number of selected component:
khard-0.11.3-3.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/khard
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/khard
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:857:resolve:pkg_resources.DistributionNotFound: The 'vobject==0.9.2' distribution was not found and is required by khard

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 657, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 971, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 862, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (vobject 0.9.4.1 (/usr/lib/python3.6/site-packages), Requirement.parse('vobject==0.9.2'), {'khard'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/khard", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3038, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3022, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3051, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 659, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 672, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 857, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'vobject==0.9.2' distribution was not found and is required by khard

Local variables in innermost frame:
new_requirement: Requirement.parse('atomicwrites')
new_requirements: [Requirement.parse('vobject==0.9.2'), Requirement.parse('pyyaml'), Requirement.parse('configobj'), Requirement.parse('atomicwrites')]
requirers: {'khard'}
ws: <pkg_resources.WorkingSet object at 0x7f7e51ed49b0>
dist: None
req: Requirement.parse('vobject==0.9.2')
required_by: defaultdict(<class 'set'>, {Requirement.parse('vobject==0.9.2'): {'khard'}, Requirement.parse('pyyaml'): {'khard'}, Requirement.parse('configobj'): {'khard'}, Requirement.parse('atomicwrites'): {'khard'}})
req_extras: {Requirement.parse('vobject==0.9.2'): (), Requirement.parse('pyyaml'): (), Requirement.parse('configobj'): (), Requirement.parse('atomicwrites'): ()}
to_activate: [khard 0.11.3 (/usr/lib/python3.6/site-packages)]
best: {'khard': khard 0.11.3 (/usr/lib/python3.6/site-packages), 'vobject': None}
processed: {Requirement.parse('khard==0.11.3'): True}
extras: None
replace_conflicting: False
installer: None
env: <pkg_resources.Environment object at 0x7f7e51ed4828>
requirements: [Requirement.parse('pyyaml'), Requirement.parse('configobj'), Requirement.parse('atomicwrites')]
self: <pkg_resources.WorkingSet object at 0x7f7e51ed49b0>
Comment 1 George Nikandrov 2017-07-22 15:13:00 EDT
Created attachment 1302897 [details]
File: backtrace
Comment 2 George Nikandrov 2017-07-22 15:13:02 EDT
Created attachment 1302898 [details]
File: cgroup
Comment 3 George Nikandrov 2017-07-22 15:13:03 EDT
Created attachment 1302899 [details]
File: cpuinfo
Comment 4 George Nikandrov 2017-07-22 15:13:05 EDT
Created attachment 1302900 [details]
File: environ
Comment 5 George Nikandrov 2017-07-22 15:13:06 EDT
Created attachment 1302901 [details]
File: mountinfo
Comment 6 George Nikandrov 2017-07-22 15:13:08 EDT
Created attachment 1302902 [details]
File: namespaces
Comment 7 George Nikandrov 2017-07-22 15:13:09 EDT
Created attachment 1302903 [details]
File: open_fds
Comment 8 Sebastian Dyroff 2017-07-25 16:19:47 EDT
I think it might be fixed by a new upstream version. I am preparing an update
Comment 9 Fedora Update System 2017-07-25 16:30:12 EDT
khard-0.11.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e61f4d96b9
Comment 10 Fedora Update System 2017-07-26 22:52:24 EDT
khard-0.11.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e61f4d96b9
Comment 11 Fedora Update System 2017-10-25 19:07:59 EDT
khard-0.11.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.